/* Extends */

// Clearfix

%clearfix {
	zoom:1;
	width: 100%;
	clear: both;
	&:before,
	&:after {
		content: "\0020";
		display: block;
		width: 100%;
		height: 0;
		overflow: hidden;
	}
	
	&:after {
		clear: both;
	}
}

// Center element

%center {
	margin: {
		left: auto;
		right: auto;
	}
}

// Border box

%borderBox {
	-webkit-box-sizing: border-box;
	-moz-box-sizing: border-box;
	box-sizing: border-box;
}

// Box shadow

%shadow {
	@include box-shadow(0 0 6px 0 $shadow);
}

// Border

%border {
	border: 1px solid $border;
}
